# Transfers

## All Transfers

## /transfers

<mark style="color:blue;">`GET`</mark> `https://explorer.protokol.sh/api/nft/transfers`&#x20;

#### Query Parameters

| Name      | Type    | Description                                                                 |
| --------- | ------- | --------------------------------------------------------------------------- |
| page      | integer | The number of the page that will be returned                                |
| limit     | integer | The number of resources per page                                            |
| orderBy   | string  | <p>Order by specific parameter (asc or desc)<br>Example: orderBy=id:asc</p> |
| transform | boolean | Returns modified or raw data                                                |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "meta": {
    "totalCountIsEstimate": true,
    "count": 1,
    "pageCount": 1,
    "totalCount": 1,
    "next": null,
    "previous": null,
    "self": "/nft/transfers?transform=true&page=1&limit=100",
    "first": "/nft/transfers?transform=true&page=1&limit=100",
    "last": "/nft/transfers?transform=true&page=1&limit=100"
  },
  "data": [
    {
      "id": "606aceccbb930f4a1e694ba876d0574a4dbf39cb8437d7c5f2dc1b7c9fa3ba23",
      "senderPublicKey": "03287bfebba4c7881a0509717e71b34b63f31e40021c321f89ae04f84be6d6ac37",
      "nftTransfer": {
        "nftIds": [
          "b612cdce4e127bbf2393261100bfb4b1866684de2df1dd0d0bbcdb2eaa7b55b8"
        ],
        "recipientId": "AMfyf9iRjXiKNcLQVTUE9oCESUPzmQ6iUT"
      },
      "timestamp": {
        "epoch": 143495632,
        "unix": 1633596832,
        "human": "2021-10-07T08:53:52.000Z"
      }
    }
  ]
}
```

{% endtab %}
{% endtabs %}

### Examples

{% tabs %}
{% tab title="Curl" %}

```
curl https://explorer.protokol.sh/api/nft/transfers
```

{% endtab %}

{% tab title="Typescript" %}

```typescript
const response = connection.NFTBaseApi("transfers").all();

>>> Promise<ApiResponseWithPagination<TransfersResource[]>>
```

{% endtab %}
{% endtabs %}

## Transfer By Id

## /transfers/:id

<mark style="color:blue;">`GET`</mark> `https://explorer.protokol.sh/api/nft/transfers/:id`&#x20;

Returns Transfer transaction by id

#### Path Parameters

| Name | Type   | Description                   |
| ---- | ------ | ----------------------------- |
| id   | string | The identifer to be retrieved |

#### Query Parameters

| Name      | Type    | Description                  |
| --------- | ------- | ---------------------------- |
| transform | boolean | Returns modified or raw data |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "data": {
    "id": "606aceccbb930f4a1e694ba876d0574a4dbf39cb8437d7c5f2dc1b7c9fa3ba23",
    "senderPublicKey": "03287bfebba4c7881a0509717e71b34b63f31e40021c321f89ae04f84be6d6ac37",
    "nftTransfer": {
      "nftIds": [
        "b612cdce4e127bbf2393261100bfb4b1866684de2df1dd0d0bbcdb2eaa7b55b8"
      ],
      "recipientId": "AMfyf9iRjXiKNcLQVTUE9oCESUPzmQ6iUT"
    },
    "timestamp": {
      "epoch": 143495632,
      "unix": 1633596832,
      "human": "2021-10-07T08:53:52.000Z"
    }
  }
}
```

{% endtab %}

{% tab title="404 " %}

```javascript
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "NTF Transfer Transaction not found"
}
```

{% endtab %}

{% tab title="422 " %}

```javascript
{
  "statusCode": 422,
  "error": "Unprocessable Entity",
  "message": "\"id\" length must be 64 characters long"
}
```

{% endtab %}
{% endtabs %}

### Examples

{% tabs %}
{% tab title="Curl" %}

```
curl https://explorer.protokol.sh/api/nft/transfers/5a5fe2fb9c5b1102b2d6266d41b6184676bd42c2b648c82e13264a562252072b
```

{% endtab %}

{% tab title="Typescript" %}

```typescript
const response = connection.NFTBaseApi("transfers").get("VALID_ID");

>>> Promise<ApiResponse<TransfersResource>>
```

{% endtab %}
{% endtabs %}
